use crate::payload::{Encode, SeStringChunkKind};
use crate::Payload;

#[derive(Debug, Clone, PartialEq)]
pub struct SeHyphenPayload;

impl Encode for SeHyphenPayload {
    fn encode(&self) -> Vec<u8> {
        vec![
            Payload::START_BYTE,
            SeStringChunkKind::SeHyphen.as_u8(),
            0x01,
            Payload::END_BYTE,
        ]
    }
}
